CREATE TABLE SERVICE_WORK_TYPE (
ID_SERVICE_WORK_TYPE NUMBER NOT NULL,
SERVICE_CODE VARCHAR2(6 CHAR),
WORK_TYPE_CODE VARCHAR2(6 CHAR),
CONSTRAINT SERVICE_WORK_TYPE_PK PRIMARY KEY (ID_SERVICE_WORK_TYPE),
CONSTRAINT SERVICE_WORK_TYPE_SERVICE_FK FOREIGN KEY (SERVICE_CODE) REFERENCES M_NNSTOMAR(SIFRA),
CONSTRAINT SERVICE_WORK_TYPE_WORK_TYPE_FK FOREIGN KEY (WORK_TYPE_CODE) REFERENCES TIPSERVIS(SIFRA)
);

CREATE SEQUENCE SERVICE_WORK_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1885, SYSDATE, '5.5', 1805, 'Service work type')
;
