INSERT INTO NRIGHTS (PRAVICA, KOMENTAR, KOMENTAR_TUJ, INTERNI_OPIS) VALUES ('ANDROIDEDITMARINE', 'urejanje privezov in plovil', 'edit berths and vessels', 'urejanje privezov in plovil');
INSERT INTO NRIGHTS (PRAVICA, KOMENTAR, KOMENTAR_TUJ, INTERNI_OPIS) VALUES ('ANDROIDVIEWSALDO', 'pregled finančnih podatkov', 'finance data review', 'pregled finančnih podatkov');
INSERT INTO NRIGHTS (PRAVICA, KOMENTAR, KOMENTAR_TUJ, INTERNI_OPIS) VALUES ('ANDROIDVIEWEIS', 'statistike in analize', 'statistics and analysis', 'statistike in analize');
INSERT INTO NRIGHTS (PRAVICA, KOMENTAR, KOMENTAR_TUJ, INTERNI_OPIS) VALUES ('ANDROIDBILLSERVICE', 'obračun storitev', 'service billing', 'obračun storitev');

CREATE TABLE NNANDROID 
(
  SIFRA VARCHAR2(20 BYTE) NOT NULL 
, ST_BLAGAJNE NUMBER 
, ST_KUPCA NUMBER 
, DATUM_SINH_DAN DATE 
, DATUM_SINH_VECER DATE 
, CONSTRAINT NNANDROID_PK PRIMARY KEY 
  (
    SIFRA 
  ) 
);

CREATE TABLE RACUN_SKRIPTE 
(
  SIFRA VARCHAR2(20) NOT NULL 
, SKRIPTA CLOB NOT NULL 
, CONSTRAINT RACUN_SKRIPTE_PK PRIMARY KEY 
  (
    SIFRA 
  )
);

INSERT INTO RACUN_SKRIPTE (SIFRA, SKRIPTA) VALUES ('ANDROID', '|COMPANY_FIRMA|#LF#
|COMPANY_NASLOV|#LF#
|COMPANY_MESTO|#LF#
Phone: |COMPANY_TELEFON|#LF#
#LF#
Vessel name: |VESSEL_NAME|#LF#
INVOICE nr.: |NUMBER|#LF#
Date: |DATE| |TIME|#LF#
#LF#
--------------------------------#LF#
Ord        Product#LF#        
Quantity   Price          Amount#LF#
--------------------------------#LF#
|COL||ROWNUM,Ord.,L,4,0| |PRODUCT,Product,L,22| |LF,Lf,L,0| |QUANTITY,Qty.,R,4,0.###| |PRICE,Price,R,10,0.00| |TOTAL,Total,R,18,0.00||/COL|#LF#
--------------------------------#LF#
TOTAL:|TOTAL||JUSTIFY,R,26,0.00|#LF#
#LF#
VAT sum: Neto    Vat %    Amount#LF#
         -----------------------#LF#
|VAT||COL||EMPTY,R,9||NETO,Osnova,L,9,0.00||VAT,Vat %,R,4,0.00||VATAMOUNT,Vat,R,10,0.00||/COL|#LF#
         -----------------------#LF#
         Total: |TOTAL||JUSTIFY,R,16,0.00|#LF#
#LF#
Thank you!#LF#
#LF#
#LF#
#LF#
');


ALTER TABLE
   PRESPR
ADD
   (
   ID_MASTER NUMBER,  
   ID_SLAVE NUMBER
   );
   
CREATE OR REPLACE VIEW V_EIS_MOBILE AS SELECT vrsta, leto, mesec, grupa, round(sum(znesek),2) AS znesek FROM (
-- PRIHODKI OD STORITEV NA BLAGAJNIŠKIH RAČUNIH
SELECT '+'                                    AS vrsta,
       extract(YEAR FROM a.datum_valutacije)  AS leto,
       extract(MONTH FROM a.datum_valutacije) AS mesec,
       d.opis                                 AS grupa,
       SUM(b.cenabd*(1-b.popust/100))         AS znesek
  FROM saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e
 WHERE --a.datum_valutacije>='01.01.2013' and a.datum_valutacije<='31.12.2013' and
       a.datum_valutacije IS NOT NULL
   AND a.id_saldkont     =b.id_saldkont
   AND b.id_storitve     =c.id_storitve
   AND c.storitev        =e.sif_stor
   AND e.sif_grupe       =d.sifra
GROUP BY extract(YEAR FROM a.datum_valutacije), extract(MONTH FROM a.datum_valutacije), d.opis
-- PRIHODKI OD STORITEV NA RAČUNIH PO POŠTI
UNION ALL
SELECT '+'                            AS vrsta,
       extract(YEAR FROM a.datum)     AS leto,
       extract(MONTH FROM a.datum)    AS mesec,
       d.opis                         AS grupa,
       SUM(b.cenabd*(1-b.popust/100)) AS znesek
  FROM saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e
 WHERE --a.datum_valutacije>='01.01.2013' and a.datum_valutacije<='31.12.2013' and
       a.datum_valutacije IS NULL
   AND a.id_saldkont     =b.id_saldkont
   AND b.id_storitve     =c.id_storitve
   AND c.storitev        =e.sif_stor
   AND e.sif_grupe       =d.sifra
GROUP BY extract(YEAR FROM a.datum), extract(MONTH FROM a.datum), d.opis
-- PRIHODKI OD MATERIALA NA BLAGAJNIŠKIH RAČUNIH
UNION ALL
SELECT '+'                                    AS vrsta,
       extract(YEAR FROM a.datum_valutacije)  AS leto,
       extract(MONTH FROM a.datum_valutacije) AS mesec,
       'MATERIAL'                             AS grupa,
       SUM(b.cenabd*(1-b.popust/100))         AS znesek
 FROM Saldkont a, racun_data b, s_obracun c
WHERE --a.datum_valutacije>='01.01.2011' AND a.datum_valutacije  <='31.12.2011' AND 
      a.datum_valutacije IS NOT NULL
  AND a.id_saldkont        =b.id_saldkont
  AND b.id_obracun         =c.id_obracun
GROUP BY extract(YEAR FROM a.datum_valutacije), extract(MONTH FROM a.datum_valutacije)
-- PRIHODKI OD MATERIALA NA RAČUNIH PO POŠTI
UNION ALL
SELECT '+'                            AS vrsta,
       extract(YEAR FROM a.datum)     AS leto,
       extract(MONTH FROM a.datum)    AS mesec,
       'MATERIAL'                     AS grupa,
       SUM(b.cenabd*(1-b.popust/100)) AS znesek
 FROM Saldkont a, racun_data b, s_obracun c
WHERE --a.datum_valutacije>='01.01.2011' AND a.datum_valutacije  <='31.12.2011' AND 
      a.datum_valutacije IS NULL
  AND a.id_saldkont        =b.id_saldkont
  AND b.id_obracun         =c.id_obracun
GROUP BY extract(YEAR FROM a.datum), extract(MONTH FROM a.datum))
GROUP BY vrsta, leto, mesec, grupa
UNION ALL
----------------- O D H O D K I -----------------------------------------------
SELECT vrsta, leto, mesec, grupa, round(sum(znesek),2) AS znesek FROM (
-- VHODNI RAČUNI
SELECT '-'                         AS vrsta,
       extract(YEAR FROM a.datum)  AS leto,
       extract(MONTH FROM a.datum) AS mesec,
       c.naziv                     AS grupa,
       SUM(b.znesek)               AS znesek
  FROM saldkont a, saldkont_knjizbe b, sifkont c
 WHERE --a.datum   >='01.01.2013' AND a.datum  <='31.12.2013' AND
       a.id_saldkont=b.id_saldkont
   AND b.konto      =c.ctrl
GROUP BY extract(YEAR FROM a.datum), extract(MONTH FROM a.datum), c.naziv
UNION ALL
-- ROČNE KNJIŽBE
SELECT '-'                             AS vrsta,
       extract(YEAR FROM a.datumv)     AS leto,
       extract(MONTH FROM a.datumv)    AS mesec,
       b.naziv                         AS grupa,
       SUM(bzneseksit)-SUM(dzneseksit) AS znesek
  FROM knjizbe a, sifkont b
 WHERE --a.datumv>='01.01.2013' AND a.datumv  <='31.12.2013' AND 
       a.konto=b.ctrl
   AND b.oznaka LIKE ('4%')
   AND a.idmaster=-1
GROUP BY extract(YEAR FROM a.datumv), extract(MONTH FROM a.datumv), b.naziv)
GROUP BY vrsta, leto, mesec, grupa
ORDER BY vrsta, leto, mesec, grupa;

CREATE OR REPLACE VIEW V_STORITVE AS SELECT S.SIFRA, S.OPIS, C.KAT, C.TIMEKAT, KK.OPIS AS KATEGORIJA, KK.ID_KAT, TK.OPIS AS TIMEKATEGORIJA, KS.DOLZINA, KK.VRSTA, S.DAVEK, C.BRUTO_DOMACA_VALUTA AS CENA
FROM M_NNSTOMAR S
LEFT OUTER JOIN M_NNKATEG KK ON S.KAT=KK.SIFRA_SKLOPA
LEFT OUTER JOIN M_NNSKLOPI KS ON KK.SIFRA_SKLOPA=KS.SIFRA_SKLOPA AND KS.KATEGORIJA=1
LEFT OUTER JOIN M_NNKATEG TK ON S.TIMEKAT=TK.SIFRA_SKLOPA AND TK.NIVO=1
LEFT OUTER JOIN M_NNSKLOPI TS ON TK.SIFRA_SKLOPA=TS.SIFRA_SKLOPA AND TS.KATEGORIJA=2
JOIN M_NNCENMAR C ON C.STORITEV=S.SIFRA AND (C.KAT IS NULL OR C.KAT=KK.SIFRA) AND (C.TIMEKAT IS NULL OR C.TIMEKAT=TK.SIFRA)
WHERE S.SIFRA IN ('VK', 'VMM') AND TK.SIFRA='D'
ORDER BY S.OPIS, KK.SIFRA;
   
   
insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (275, SYSDATE, '5.5', 195, 'Opis sprememb za Android - Klemen');