ALTER TABLE OPOMINI 
ADD LASTNIK_OBVESCEN VARCHAR2(1 CHAR);

CREATE OR REPLACE VIEW V_KUPCI_EMAIL
AS (
SELECT O.ID_OPOMINI AS ID, O.LASTNIK_OBVESCEN, K.ID AS KUPCI_ID, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER, E.ID_EMAIL AS EMAIL_ID_EMAIL, E.DATUM_KREIRANJA AS EMAIL_DATUM_KREIRANJA, E.USER_KREIRANJA AS EMAIL_USER_KREIRANJA,
E.TEKST AS EMAIL_TEKST, E.ZADEVA AS EMAIL_ZADEVA, E.POSILJATELJ AS EMAIL_POSILJATELJ, E.PREJEMNIK AS EMAIL_PREJEMNIK, E.STATUS AS EMAIL_STATUS, E.DATUM_POSILJANJA AS EMAIL_DATUM_POSILJANJA, E.AVTOMATSKO_KREIRANJE
AS EMAIL_AVTOMATSKO_KREIRANJE, E.PREJEMNIK_CC AS EMAIL_PREJEMNIK_CC, E.PREJEMNIK_BCC AS EMAIL_PREJEMNIK_BCC, E.PREBRANO AS EMAIL_PREBRANO, E.STATUS_MESSAGE AS EMAIL_STATUS_MESSAGE
FROM OPOMINI O
LEFT OUTER JOIN KUPCI K ON K.ID = O.ID_KUPCA
LEFT OUTER JOIN EMAILS E ON E.ID_EMAIL = O.ID_EMAIL
WHERE O.NPISMO = (SELECT NPISMO FROM NPISMO N WHERE N.NPISMO_TYPE = 'EMAIL')
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (837, SYSDATE, '5.5', 757, 'Opomini');