ALTER TABLE NUSER 
  ADD CHANGE_PASSWORD VARCHAR2(1 CHAR) default 'N'
;

ALTER TABLE NUSER
  ADD LOCK_COUNT NUMBER DEFAULT 0
;

ALTER TABLE NUSER
  ADD PASSWORD_CHANGED DATE
;

CREATE TABLE NUSER_HISTORY (
NUSER_HISTORY_ID NUMBER NOT NULL,
NUSER VARCHAR2(20 CHAR) NOT NULL,
DATE_CREATE DATE NOT NULL,
PASSWORD VARCHAR2(40 CHAR),
SOL VARCHAR2(500 CHAR),
GESLO_HASH VARCHAR2(500 CHAR),
CONSTRAINT PK_NUSER_HISTORY PRIMARY KEY (NUSER_HISTORY_ID)
)
;

CREATE SEQUENCE NUSER_HISTORY_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1272, SYSDATE, '5.5', 1192, 'PCI compliant passwords')
;
